<template>
  <div>
    <v-container v-if="!$vuetify.breakpoint.xsOnly">
      <v-app-bar color="#ECEFF1">
        <v-tabs>
          <v-tab v-for="(item, i) in menuItems" v-bind:key="i" :to=item.url>{{ item.name }}</v-tab>
        </v-tabs>

        <v-spacer></v-spacer>

        <v-switch
            v-model="$vuetify.theme.dark"
            hide-details
            label="Dark Theme"
            v-on:click="saveThemeSelection"
        ></v-switch>

      </v-app-bar>
    </v-container>

    <v-app-bar v-if="$vuetify.breakpoint.xsOnly" color="white">

      <v-app-bar-nav-icon v-on:click="drawer = !drawer" color="#42a5f5"
                          aria-label="Nav menu button"></v-app-bar-nav-icon>

      <v-toolbar-title>Menu</v-toolbar-title>

      <v-spacer></v-spacer>

      <v-switch
          v-model="$vuetify.theme.dark"
          hide-details
          label="Dark Theme"
          v-on:click="saveThemeSelection"
      ></v-switch>

    </v-app-bar>
    <v-navigation-drawer
        v-model="drawer"
        absolute
        app
        temporary
    >
      <v-list
          nav
      >

        <v-list-item v-for="(item, i) in menuItems" v-bind:key="i">
          <router-link :to="item.url" class="router-link">
            <v-icon color="#42a5f5">{{ item.icon }}</v-icon>
            {{ item.name }}
          </router-link>
        </v-list-item>

      </v-list>
    </v-navigation-drawer>
  </div>
</template>

<script>

export default {
  name: 'Menu',

  components: {},

  data() {
    return {
      drawer: false,
      isDark: false,
      menuItems: [
        {name: 'Home', url: '/', icon: 'fas fa-home'},
        {name: 'Projects', url: '/projects', icon: 'fas fa-laptop-code'},
        {name: 'Contacts', url: '/contact', icon: 'fas fa-phone'}
      ]
    }
  },


  methods: {
    saveThemeSelection: function () {
      localStorage.setItem("is_dark", this.$vuetify.theme.dark.toString());
    }
  },

  mounted() {
    const theme = localStorage.getItem("is_dark");
    if (theme) {
      this.$vuetify.theme.dark = theme === "true";
    }
  },

}
;
</script>

<style>

.v-application--is-ltr .v-toolbar__content > .v-btn.v-btn--icon:first-child + .v-toolbar__title, .v-application--is-ltr .v-toolbar__extension > .v-btn.v-btn--icon:first-child + .v-toolbar__title {
  padding-left: 0 !important;
}

.v-tabs {
  width: auto !important;
  margin-left: 50px;
}

.theme--dark.v-toolbar.v-sheet {
  background-color: #272727 !important;
}

.fas {
  padding-right: 15px;
}

.router-link {
  color: inherit !important;
}

</style>
